XkbFreeGeomShapes(__libmansuffix__)

NAME
XkbFreeGeomShapes - Free geometry shapes

SYNOPSIS

void XkbFreeGeomShapes (XkbGeometryPtr geom, int first, int count, Bool free_all);

ARGUMENTS

- geom
    geometry in which shapes should be freed

- first
    first shape to be freed

- count
    number of shapes to be freed

- free_all
    True => all shapes are freed

DESCRIPTION

Xkb provides a number of functions to allocate and free subcomponents of a keyboard geometry. Use these functions to create or modify keyboard geometries. Note that these functions merely allocate space for the new element(s), and it is up to you to fill in the values explicitly in your code. These allocation functions increase sz_* but never touch num_* (unless there is an allocation failure, in which case they reset both sz_* and num_* to zero). These functions return Success if they succeed, BadAlloc if they are not able to allocate space, or BadValue if a parameter is not as expected. If free_all is True, all shapes in the geometry are freed regardless of the values of first and count. Otherwise, count shapes are freed, beginning with the shape specified by first.

RETURN VALUES

Success
    The XkbFreeGeomShapes function returns Success when there are no allocation or argument errors.

DIAGNOSTICS

BadAlloc
    Unable to allocate storage

BadValue
    An argument is out of range